#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, x, aura, c;
    cin >> n >> k >> x;
    vector<int> p(n, 0);
    for(int i = 0; i < n; i++)
        cin >> p[i];

    for(int i = 0; i < n - k + 1; i++)
    {
        aura = 0;
        c = 1;
        for(int j = i; j < i + k; j++)
        {
            aura += p[j] * c;
            if(x > c)
                c++;
        }
        cout << aura << " ";
    }
    return 0;
}